qpsmtpd-forkserver(8)

NAME
qpsmtpd-forkserver - Fork-on-demand server for qpsmtpd

SYNOPSIS
qpsmtpd-forkserver [options]

DESCRIPTION

qpsmtpd-forkserver is the qpsmtpd frontend script which binds to the SMTP TCP socket and forks as clients connect.

OPTIONS

--port port, -p port
    Binds to a specific port, instead of the default 2525.

--user user, -u user
    On startup, switch to run as user instead of the starting user. Applies only when started as root (as is normal when listening on port 25).

--limit-connections limit, -c limit
    Accept at most limit simultaneous connections. Inbound connections beyondthis limit will be deferred or refused.

--max-from-ip limit, -m limit
    Accept at most limit simultaneous connections from any given IP address; does not override --limit-connections, if set.

--listen-address addr, -l addr
    Bind to the local address addr, instead of the default behavior of binding to all interfaces. Can be specified multiple times to bind to more than one interface or local address.

--detach, -d
    Detach from the controlling terminal at startup, to run as a standalone daemon. See also --pid-file.

--pid-file filename
    Upon startup, and after daemonizing if applicable, write the process ID to filename, for use by sysvinit control scripts or similar utilities.

AUTHOR

Ask Bjorn Hansen <ask@develooper.com>
http://smtpd.develooper.com/